Hi All,
Does anyone know how I can write script to select all curve object in rhinoscriptsyntax?
Thank you.
Hi All,
Does anyone know how I can write script to select all curve object in rhinoscriptsyntax?
Thank you.
import rhinoscriptsyntax as rs
crvs=rs.ObjectsByType(4, True)
don’t know if this is useful, but under aliases I created a quick single key that invokes selcrv.
Hi Robb,
Thank you for reply.
You mean that you created some script which can select all curve?
there’s a command that selects all curves. it’s SelCrv
you don’t have to make a script to do this in rhino since it’s already built in… if you want it in a script, do what helveltosaur has shown… or you can make it an alias as Robb is saying.
I think
rs.Command( '_SelCrv' )
should work too
If you want a list of only selectable (normal) curve ID’s, set state to 1:
rs.ObjectsByType(4, True, 1)
Rhino IronPython Help (5 SR12) states that the default, 0, returns objects at all states, but it actually doesn’t include hidden ones. Use 7 for all states.
Hi Jeff,
I understand what you and Robb meant.
Thank you for your explanation!